# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux/Qt6', 'FreeBSD/Qt6', 'Windows/Qt6']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/karchive': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/kdoctools': '@latest-kf6'
    'frameworks/kdnssd': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/solid': '@latest-kf6'
    'frameworks/kguiaddons': '@latest-kf6'
    'frameworks/syntax-highlighting': '@latest-kf6'
    'libraries/phonon': '@latest-kf6'
    'graphics/libkexiv2': '@latest-kf6'
    'third-party/kdsoap': '@latest'
    'third-party/qcoro': '@latest'

- 'on': ['Linux/Qt6', 'FreeBSD/Qt6']
  'require':
    'libraries/kdsoap-ws-discovery-client': '@latest-kf6'
    'plasma/plasma-activities': '@latest-kf6'
    'plasma/plasma-activities-stats': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux' ]
